RangeExpression (Groovy 5.0.0)
Description: declaration: package: org.codehaus.groovy.ast.expr, class: RangeExpression

Package org.codehaus.groovy.ast.expr

# Class RangeExpression

java.lang.Object
org.codehaus.groovy.ast.ASTNode
org.codehaus.groovy.ast.AnnotatedNode
org.codehaus.groovy.ast.expr.Expression
org.codehaus.groovy.ast.expr.RangeExpression

All Implemented Interfaces:
  `GroovydocHolder<AnnotatedNode>`, `NodeMetaDataHandler`

public class RangeExpression extends Expression
Represents a range expression such as for iterating. E.g.:

    for i in 0..10 {...}

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.ast.expr.Expression

  `EMPTY_ARRAY`

  ### Fields inherited from interface groovy.lang.groovydoc.GroovydocHolder

  `DOC_COMMENT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RangeExpression(Expression from, Expression to, boolean inclusive)`
  `RangeExpression(Expression from, Expression to, boolean exclusiveLeft, boolean exclusiveRight)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Expression`
  `getFrom()`
  `String`
  `getText()`
  `Expression`
  `getTo()`
  `boolean`
  `isExclusiveLeft()`
  `boolean`
  `isExclusiveRight()`
  `boolean`
  `isInclusive()`
  `Expression`
  `transformExpression(ExpressionTransformer transformer)`
  Transforms this expression and any nested expressions.
  `void`
  `visit(GroovyCodeVisitor visitor)`

  ### Methods inherited from class org.codehaus.groovy.ast.expr.Expression

  `getType, setType, transformExpressions, transformExpressions`

  ### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

  `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

  ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

  `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

  `copyNodeMetaData, getNodeMetaData, getNodeMetaData, getNodeMetaData, newMetaDataMap, putNodeMetaData, removeNodeMetaData, setNodeMetaData`

- ## Constructor Details

  - ### RangeExpression

    public RangeExpression(Expression from, Expression to, boolean inclusive)

  - ### RangeExpression

    public RangeExpression(Expression from, Expression to, boolean exclusiveLeft, boolean exclusiveRight)

- ## Method Details

  - ### visit

    public void visit(GroovyCodeVisitor visitor)
    Overrides:
      `visit` in class `ASTNode`

  - ### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)
    Description copied from class: `Expression`
    Transforms this expression and any nested expressions.
    Specified by:
      `transformExpression` in class `Expression`

  - ### getFrom

    public Expression getFrom()

  - ### getTo

    public Expression getTo()

  - ### isInclusive

    public boolean isInclusive()

  - ### isExclusiveLeft

    public boolean isExclusiveLeft()

  - ### isExclusiveRight

    public boolean isExclusiveRight()

  - ### getText

    public String getText()
    Overrides:
      `getText` in class `ASTNode`